Bug 177475 - firefox crashes accessing EarthLink's webmail
firefox crashes accessing EarthLink's webmail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-10 17:26 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 13:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-01-10 17:26:23 EST
Description of problem:
One of my users accesses EarthLink's webmail
(https://webmail.atl.earthlink.net/wam/login.jsp?redirect=%2Fwam%2Findex.jsp&x=-2053984138).
 Fairly regularly, firefox will crash while accessing it.

From the core file:

(gdb) bt
#0  0x00865402 in __kernel_vsyscall ()
#1  0x004fd28a in raise () from /lib/libpthread.so.0
#2  0x08058f1c in nsProfileLock::FatalSignalHandler ()
#3  <signal handler called>
#4  0x02a94a72 in ?? ()
#5  0x0032017c in ?? () from /usr/lib/libglib-2.0.so.0
#6  0x004f8e0c in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#7  0x002c0fe6 in g_timeout_dispatch (source=0x9930cc0, callback=0x2a949f0,
    user_data=0x0) at gmain.c:3293
#8  0x002bf4ce in IA__g_main_context_dispatch (context=0x90181f0) at gmain.c:1934
#9  0x002c24d6 in g_main_context_iterate (context=0x90181f0, block=1, dispatch=1,
    self=0x9097cb0) at gmain.c:2565
#10 0x002c27c3 in IA__g_main_loop_run (loop=0x9243f60) at gmain.c:2769
#11 0x04384a46 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x00695ff4 in ?? () from /usr/lib/firefox-1.0.7/components/libwidget_gtk2.so
#13 0x00475937 in ?? () from /usr/lib/firefox-1.0.7/components/libnsappshell.so
#14 0x080518d9 in ?? ()
#15 0x0804db31 in ?? ()
#16 0x00518d5f in __libc_start_main () from /lib/libc.so.6
#17 0x0804da8d in ?? ()
(gdb) up 7
#7  0x002c0fe6 in g_timeout_dispatch (source=0x9930cc0, callback=0x2a949f0,
    user_data=0x0) at gmain.c:3293
3293      if (callback (user_data))
(gdb) list
3288          g_warning ("Timeout source dispatched without callback\n"
3289                     "You must call g_source_set_callback().");
3290          return FALSE;
3291        }
3292
3293      if (callback (user_data))
3294        {
3295          GTimeVal current_time;
3296
3297          g_source_get_current_time (source, &current_time);
(gdb)

Version-Release number of selected component (if applicable):
firefox-1.0.7-1.1.fc4

How reproducible:
somewhat
Comment 1 Christian Iseli 2007-01-22 05:09:02 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Orion Poplawski 2007-03-28 13:39:09 EDT
Appears to be fixed.

Note You need to log in before you can comment on or make changes to this bug.